package com.sd.business.controller.statement;

import com.sd.business.entity.statement.vo.DocumentBySkuVo;
import com.sd.framework.util.TemplateExcelUtil;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/open")
public class Test {


    @GetMapping("/a")
    public void test(HttpServletResponse response) throws IOException {
        Map<String, Object> map = new HashMap<>();

        List<DocumentBySkuVo> list = new ArrayList<>();
        DocumentBySkuVo documentBySkuVo1 = DocumentBySkuVo.builder()
                .skuSpecCode("test01")
                .skuSpecName("测试1")
                .quantity(new BigDecimal("102"))
                .build();
        DocumentBySkuVo documentBySkuVo2 = DocumentBySkuVo.builder()
                .skuSpecCode("test02")
                .skuSpecName("测试2")
                .quantity(new BigDecimal("107"))
                .build();
        list.add(documentBySkuVo1);
        list.add(documentBySkuVo2);
        list.add(documentBySkuVo1);

        map.put("totalQuantity", BigDecimal.TEN);
        map.put("totalSubtotal", new BigDecimal("124.65"));
        map.put("department", "宝恒晟B1");

        TemplateExcelUtil.writeBrowser("skuDocument.xlsx", "sku对账单", response, list, map);
    }

}
